Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.enum
Class Scope

    java.lang.Object
      |
      +--org.apache.axis.enum.Enum
            |
            +--org.apache.axis.enum.Scope

All Implemented Interfaces:
  java.io.Serializable

public class Scope
extends Enum

Author:
  rsitze
See Also:
  Serialized Form

Inner Class Summary
`static class` | `Scope.Type`

Inner classes inherited from class org.apache.axis.enum.Enum
`Enum.Type`

Field Summary
`static Scope` | `APPLICATION`
`static java.lang.String` | `APPLICATION_STR`
`static Scope` | `DEFAULT`
`static Scope` | `REQUEST`
`static java.lang.String` | `REQUEST_STR`
`static Scope` | `SESSION`
`static java.lang.String` | `SESSION_STR`

Fields inherited from class org.apache.axis.enum.Enum
`log, name, value`

Method Summary
`static Scope` | `getDefault()`
`static Scope` | `getScope(int scope)`
`static Scope` | `getScope(java.lang.String scope)`
`static Scope` | `getScope(java.lang.String scope, Scope dephault)`
`static java.lang.String[]` | `getScopes()`
`static boolean` | `isValid(java.lang.String scope)`
`static int` | `size()`

Methods inherited from class org.apache.axis.enum.Enum
`equals, equals, getName, getType, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUEST_STR

    public static final java.lang.String REQUEST_STR

### APPLICATION_STR

    public static final java.lang.String APPLICATION_STR

### SESSION_STR

    public static final java.lang.String SESSION_STR

### REQUEST

    public static final Scope REQUEST

### APPLICATION

    public static final Scope APPLICATION

### SESSION

    public static final Scope SESSION

### DEFAULT

    public static final Scope DEFAULT

Method Detail

### getDefault

    public static Scope getDefault()

### getScope

    public static final Scope getScope(int scope)

### getScope

    public static final Scope getScope(java.lang.String scope)

### getScope

    public static final Scope getScope(java.lang.String scope,
                                       Scope dephault)

### isValid

    public static final boolean isValid(java.lang.String scope)

### size

    public static final int size()

### getScopes

    public static final java.lang.String[] getScopes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.